if glib1 and gtk+ will be removed, we will have these package affected
[1] by query [2] 


[1]
rpmfusion-free-rawhide faad2 (when with xmms)
rpmfusion-free-rawhide normalize (when flac needs xmms)
rpmfusion-free-rawhide xmms-mplayer 
rpmfusion-nonfree-rawhide gsview (4.9 needs gkt-devel)
rpmfusion-nonfree-rawhide uade (Unix Amiga DeliTracker Emulator) 

[1] 
dnf repoquery --disablerepo='*' --enablerepo={rpmfusion-{non,}free-
,}rawhide  --whatrequires glib --qf "%{repoid} %{sourcerpm}"  -q |
pkgname 
-------- Forwarded Message --------
From: Michael Catanzaro <mcatanz...@gnome.org>
Reply-To: Development discussions related to Fedora
<de...@lists.fedoraproject.org>
To: de...@lists.fedoraproject.org, p...@city-fan.org,
paulo.cesar.pereira.de.andr...@gmail.com
Subject: Let's retire original glib and gtk+
Date: Fri, 07 May 2021 14:45:09 +0000

Hi, I'd like to retire the original glib, GLib 1 from the GNOME 1 era. 
This is would take out the gtk+ package (GTK 1) along with it. (I'm not
proposing to remove GTK 2.) GLib 1 has been obsolete for 19 years now, 
since GLib 2 was released in March 2002. That's a real long time to 
maintain a compatibility package, so I'm not sympathetic to anything 
that still requires it.

GLib 2 has been API and ABI stable for 19 years now, so it's not moving
too fast for your package to depend on. :) The full list of packages 
still depending on GLib 1 is below. If you own one of the below 
packages, please consider upgrading to GLib 2. The only one that I 
recognize is Sagemath.

$ sudo dnf repoquery --recursive --whatrequires glib
Last metadata expiration check: 0:28:04 ago on Fri 07 May 2021 09:06:03
AM CDT.
Singular-0:4.1.1p3-24.fc34.x86_64
Singular-doc-0:4.1.1p3-24.fc34.x86_64
Singular-emacs-0:4.1.1p3-24.fc34.x86_64
Singular-surfex-0:4.1.1p3-24.fc34.x86_64
bubblemon-0:1.46-29.fc34.x86_64
collectd-xmms-0:5.12.0-2.fc34.x86_64
gap-pkg-happrime-0:0.6-5.20190208.edfbd41.fc34.noarch
gap-pkg-happrime-doc-0:0.6-5.20190208.edfbd41.fc34.noarch
gap-pkg-singular-0:2020.12.18-2.fc34.noarch
gap-pkg-singular-doc-0:2020.12.18-2.fc34.noarch
glib-devel-1:1.2.10-62.fc34.i686
glib-devel-1:1.2.10-62.fc34.x86_64
golang-github-mattn-gtk-devel-0:0-0.7.20200729gitaf2e013.fc34.noarch
gtk+-1:1.2.10-96.fc34.i686
gtk+-1:1.2.10-96.fc34.x86_64
gtk+-devel-1:1.2.10-96.fc34.i686
gtk+-devel-1:1.2.10-96.fc34.x86_64
gxvattr-0:1.3-42.fc34.x86_64
librcc-devel-0:0.2.12-18.fc34.i686
librcc-devel-0:0.2.12-18.fc34.x86_64
librcc-gtk+-0:0.2.12-18.fc34.i686
librcc-gtk+-0:0.2.12-18.fc34.x86_64
logjam-xmms-1:4.6.2-25.fc34.x86_64
manedit-0:1.2.1-25.fc34.x86_64
qepcad-B-0:1.74-1.fc34.x86_64
sagemath-0:9.2-4.fc34.x86_64
sagemath-core-0:9.2-4.fc34.x86_64
sagemath-data-0:9.2-4.fc34.noarch
sagemath-data-combinatorial_designs-0:9.2-4.fc34.noarch
sagemath-data-conway_polynomials-0:9.2-4.fc34.noarch
sagemath-data-elliptic_curves-0:9.2-4.fc34.noarch
sagemath-data-elliptic_curves_large-0:9.2-4.fc34.noarch
sagemath-data-etc-0:9.2-4.fc34.noarch
sagemath-data-graphs-0:9.2-4.fc34.noarch
sagemath-data-polytopes_db-0:9.2-4.fc34.noarch
sagemath-jupyter-0:9.2-4.fc34.x86_64
sagemath-sagetex-0:9.2-4.fc34.x86_64
surf-geometry-0:1.0.6-29.fc34.x86_64
xarchon-0:0.50-35.fc34.x86_64
xconvers-0:0.8.3-27.fc34.x86_64
xdialog-0:2.3.1-28.fc34.x86_64
xmms-1:1.2.11-41.20071117cvs.fc34.x86_64
xmms-devel-1:1.2.11-41.20071117cvs.fc34.i686
xmms-devel-1:1.2.11-41.20071117cvs.fc34.x86_64
xmms-flac-0:1.3.3-7.fc34.x86_64
xmms-libs-1:1.2.11-41.20071117cvs.fc34.i686
xmms-libs-1:1.2.11-41.20071117cvs.fc34.x86_64
xmms-pulse-0:0.9.4-27.fc34.x86_64

Michael

_______________________________________________
devel mailing list -- de...@lists.fedoraproject.org
To unsubscribe send an email to devel-le...@lists.fedoraproject.org
Fedora Code of Conduct:
https://docs.fedoraproject.org/en-US/project/code-of-conduct/
List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
List Archives:
https://lists.fedoraproject.org/archives/list/de...@lists.fedoraproject.org
Do not reply to spam on the list, report it:
https://pagure.io/fedora-infrastructure

-- 
Sérgio M. B.
_______________________________________________
rpmfusion-developers mailing list -- rpmfusion-developers@lists.rpmfusion.org
To unsubscribe send an email to rpmfusion-developers-le...@lists.rpmfusion.org

Reply via email to